Workflow Runs
Query Workflow Runs
Retrieve a paginated list of workflow runs with optional filtering. Use this to search for runs by status, date range, template, or custom metadata fields.
POST
/
workflows
/
runs
/
getData
Query Workflow Runs
curl --request POST \
--url https://api.emberqa.com/api/workflows/runs/getData \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 1,
"limit": 50,
"filters": {
"startTime": "2024-01-01T00:00:00Z",
"endTime": "2024-12-31T23:59:59Z",
"status": "completed",
"extraction_template_id": "123e4567-e89b-12d3-a456-426614174000"
},
"metadata_filters": [
{
"metadata_name": "priority",
"operator": "=",
"value": "high"
}
]
}
'import requests
url = "https://api.emberqa.com/api/workflows/runs/getData"
payload = {
"page": 1,
"limit": 50,
"filters": {
"startTime": "2024-01-01T00:00:00Z",
"endTime": "2024-12-31T23:59:59Z",
"status": "completed",
"extraction_template_id": "123e4567-e89b-12d3-a456-426614174000"
},
"metadata_filters": [
{
"metadata_name": "priority",
"operator": "=",
"value": "high"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
page: 1,
limit: 50,
filters: {
startTime: '2024-01-01T00:00:00Z',
endTime: '2024-12-31T23:59:59Z',
status: 'completed',
extraction_template_id: '123e4567-e89b-12d3-a456-426614174000'
},
metadata_filters: [{metadata_name: 'priority', operator: '=', value: 'high'}]
})
};
fetch('https://api.emberqa.com/api/workflows/runs/getData', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": "SUCCESS",
"statusMessage": "Successfully retrieved workflow runs",
"docs": [
{
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"filename": "insurance-verification",
"status": "completed",
"created_time": "2024-01-15T10:30:00Z",
"output_schema": {}
}
],
"pagination": {
"currentPage": 1,
"totalPages": 5,
"totalCount": 243,
"limit": 50
}
}{
"error": "<string>",
"details": "<string>"
}Filtering Options
Status Values
pending- Queued for processingprocessing- Currently being processedcompleted- Successfully completedfailed- Processing failed
Metadata Filters
Search by custom metadata fields you provided during submission. Supported operators:=, !=, >, <, >=, <=Authorizations
API key obtained from the EmberQA dashboard under the "Integrations" tab
Body
application/json
Page number for pagination (default: 1)
Example:
1
Results per page (default: 50, max: 100)
Required range:
x <= 100Example:
50
Show child attributes
Show child attributes
Array of metadata field filters based on custom metadata provided during submission
Show child attributes
Show child attributes
⌘I
Query Workflow Runs

